/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 *
 */

package net.dries007.tfc.objects.container;

import javax.annotation.Nonnull;
import javax.annotation.ParametersAreNonnullByDefault;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;
import net.minecraftforge.items.CapabilityItemHandler;
import net.minecraftforge.items.IItemHandler;

import mcp.MethodsReturnNonnullByDefault;
import net.dries007.tfc.objects.inventory.SlotTEInput;
import net.dries007.tfc.objects.te.TELogPile;

@ParametersAreNonnullByDefault
@MethodsReturnNonnullByDefault
public class ContainerLogPile extends ContainerTFC<TELogPile>
{

    public ContainerLogPile(InventoryPlayer playerInv, TELogPile te)
    {
        super(playerInv, te);
    }

    @Override
    @Nonnull
    public ItemStack func_82846_b(EntityPlayer player, int index)
    {
        // Slot that was clicked
        Slot slot = field_75151_b.get(index);

        ItemStack itemstack;

        if (slot == null || !slot.func_75216_d()) { return ItemStack.field_190927_a; }

        ItemStack itemstack1 = slot.func_75211_c();
        itemstack = itemstack1.func_77946_l();

        // Begin custom transfer code here

        int containerSlots = field_75151_b.size() - player.field_71071_by.field_70462_a.size(); // number of slots in the container

        if (index < containerSlots)
        {
            // Transfer out of the container
            if (!this.func_75135_a(itemstack1, containerSlots, field_75151_b.size(), true))
            {
                // Don't transfer anything
                return ItemStack.field_190927_a;
            }
            tile.setAndUpdateSlots(index);
        }
        // Transfer into the container
        else
        {
            if (!this.func_75135_a(itemstack1, 0, 4, false))
            {
                return ItemStack.field_190927_a;
            }
        }

        // Required
        if (itemstack1.func_190916_E() == 0)
        {
            slot.func_75215_d(ItemStack.field_190927_a);
        }
        else
        {
            slot.func_75218_e();
        }
        if (itemstack1.func_190916_E() == itemstack.func_190916_E())
        {
            return ItemStack.field_190927_a;
        }
        slot.func_190901_a(player, itemstack1);
        return itemstack;
    }

    @Override
    protected void addContainerSlots(TELogPile tile)
    {
        IItemHandler inventory = tile.getCapability(CapabilityItemHandler.ITEM_HANDLER_CAPABILITY, null);
        if (inventory != null)
        {
            func_75146_a(new SlotTEInput(inventory, 0, 71, 23, tile, TELogPile::isStackValid));
            func_75146_a(new SlotTEInput(inventory, 1, 89, 23, tile, TELogPile::isStackValid));
            func_75146_a(new SlotTEInput(inventory, 2, 71, 41, tile, TELogPile::isStackValid));
            func_75146_a(new SlotTEInput(inventory, 3, 89, 41, tile, TELogPile::isStackValid));
        }
    }

    @Override
    public boolean func_75145_c(@Nonnull EntityPlayer player)
    {
        if (this.tile.burning) { return false; }
        return this.tile.countLogs() > 0;
    }
}
